> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bedrock.orinlabs.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Tool



## OpenAPI

````yaml PATCH /api/toolbox/tools/{id}/
openapi: 3.0.3
info:
  title: Bedrock API
  version: 1.0.0
  description: API for managing agent templates, agents, organizations, and adapter state
servers: []
security: []
paths:
  /api/toolbox/tools/{id}/:
    patch:
      tags:
        - toolbox
      operationId: toolbox_tools_partial_update
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this tool.
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedToolRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedToolRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedToolRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Tool'
          description: ''
      security:
        - tokenAuth: []
        - APIKeyAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    PatchedToolRequest:
      type: object
      properties:
        adapter:
          type: string
          format: uuid
        name:
          type: string
          minLength: 1
          maxLength: 255
        description:
          type: string
          minLength: 1
        parameters:
          nullable: true
        url:
          type: string
          format: uri
          maxLength: 200
        handler:
          type: string
          maxLength: 255
        detail_url:
          type: string
          format: uri
          maxLength: 200
    Tool:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        adapter:
          type: string
          format: uuid
        name:
          type: string
          maxLength: 255
        description:
          type: string
        parameters:
          nullable: true
        url:
          type: string
          format: uri
          maxLength: 200
        handler:
          type: string
          maxLength: 255
        detail_url:
          type: string
          format: uri
          maxLength: 200
        created_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - adapter
        - created_at
        - description
        - id
        - name
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"
    APIKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````